# PServiceHTTPFile Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PServiceHTTPFile:

List of all members.

## Public Member Functions

| PServiceHTTPFile (const PString &filename, PBoolean needSig=false)
| PServiceHTTPFile (const PString &filename, const PFilePath &file, PBoolean needSig=false)
| PServiceHTTPFile (const PString &filename, const PString &file, PBoolean needSig=false)
| PServiceHTTPFile (const PString &filename, const PHTTPAuthority &auth, PBoolean needSig=false)
| PServiceHTTPFile (const PString &filename, const PFilePath &file, const PHTTPAuthority &auth, PBoolean needSig=false)
void | OnLoadedText (PHTTPRequest &, PString &text)
| This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.

## Protected Member Functions

virtual PBoolean | GetExpirationDate (PTime &when)
| Get a block of data (eg HTML) that the resource contains.

## Protected Attributes

PBoolean | needSignature

## Constructor & Destructor Documentation

PServiceHTTPFile::PServiceHTTPFile | ( | const PString & | filename,
|  | PBoolean | needSig = `false` |
| ) |  |  | `[inline]`

PServiceHTTPFile::PServiceHTTPFile | ( | const PString & | filename,
|  | const PFilePath & | file,
|  | PBoolean | needSig = `false` |
| ) |  |  | `[inline]`

PServiceHTTPFile::PServiceHTTPFile | ( | const PString & | filename,
|  | const PString & | file,
|  | PBoolean | needSig = `false` |
| ) |  |  | `[inline]`

PServiceHTTPFile::PServiceHTTPFile | ( | const PString & | filename,
|  | const PHTTPAuthority & | auth,
|  | PBoolean | needSig = `false` |
| ) |  |  | `[inline]`

PServiceHTTPFile::PServiceHTTPFile | ( | const PString & | filename,
|  | const PFilePath & | file,
|  | const PHTTPAuthority & | auth,
|  | PBoolean | needSig = `false` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual PBoolean PServiceHTTPFile::GetExpirationDate | ( | PTime & | when | ) | `[protected, virtual]`

Get a block of data (eg HTML) that the resource contains.

Returns:
  Status of load operation.

Parameters:

  when | Time that the resource expires

Reimplemented from PHTTPResource.

void PServiceHTTPFile::OnLoadedText | ( | PHTTPRequest & | ,
|  | PString & | text |
| ) |  |  | `[virtual]`

This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.

Typically this is used with HTML responses.

The default action for this function is to do nothing.

Reimplemented from PHTTPResource.

## Member Data Documentation

PBoolean PServiceHTTPFile::needSignature `[protected]`

The documentation for this class was generated from the following file:

- httpsvc.h